from pyparsing import QuotedString, ZeroOrMore, Word, alphas, Suppress
import time

noncomma = QuotedString('"', unquoteResults=False) | Word(alphas)

commas = noncomma + ZeroOrMore(Suppress(',') + noncomma)

sentence = ' "A, B", C, "D, E" '

iter=5000
fStart = time.clock()

for j in range(iter):
    commas.parseString(sentence)

fTime = time.clock() - fStart

print 'iter %d, time %f, avg %f' % (iter, fTime, fTime/iter)
